Bug 2118596 - Please build redhat-lsb 5.0 for Fedora
Summary: Please build redhat-lsb 5.0 for Fedora
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-lsb
Version: 38
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1298936 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-08-16 08:47 UTC by Thomas Stephen Lee
Modified: 2023-10-08 01:21 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 2012924 0 high CLOSED redhat-lsb packages not present in CentOS Stream 9 production compose 2023-10-06 16:43:39 UTC
Red Hat Bugzilla 2088203 0 unspecified CLOSED redhat-lsb-core for RHEL 9 2023-10-13 11:31:47 UTC

Description Thomas Stephen Lee 2022-08-16 08:47:19 UTC
Kindly start work on LSB 5.0 for Fedora.

Comment 1 Florian Weimer 2022-08-16 09:53:56 UTC
LSB 5.0 is from 2015 and incompatible with Fedora. In particular, there is no AArch64 support in LSB 5.0, and it would be a significant effort to develop an SDK that can target LSB 5.0 for the remaining architectures. Security support for the obsolete libraries that are part of LSB 5.0 is also a burden, and this work would not benefit users of Fedora applications.

Comment 2 Thomas Stephen Lee 2023-02-04 22:53:52 UTC
If Fedora made an effort, others like Debian would follow.
Also, Linux Foundation can be encouraged to release a new minor/major version of LSB addressing current roadblocks.

Comment 3 Sergio Basto 2023-02-05 16:21:42 UTC
*** Bug 2088871 has been marked as a duplicate of this bug. ***

Comment 5 Sergio Basto 2023-02-05 19:04:03 UTC
*** Bug 1298936 has been marked as a duplicate of this bug. ***

Comment 7 Sergio Basto 2023-02-06 11:14:07 UTC
(In reply to Thomas Stephen Lee from comment #2)
> I downloaded the following from Fedora 36
> 
> redhat-lsb-4.1-56.fc36.src.rpm
> mailx-12.5-41.fc36.src.rpm
> ncurses-6.2-9.20210508.fc36.src.rpm
> star-1.6-6.fc36.src.rpm
> 
> , made EL 9 RPMS and installed on RHEL 9.
> 
> It is working fine.
> 
> Kindly do the same for now.

(In reply to Thomas Stephen Lee from comment #7, bug #2088871)
> Sorry.
> I should have mentioned that this request is for LSB version 4,
> currently in Fedora and RHEL 7/8 but not RHEL 9.
> LSB version 5 is not in both  Fedora or RHEL.

First let move all discussion of LSB (4 or 5) for here 

more easy remove the requirements from  https://src.fedoraproject.org/rpms/redhat-lsb/blob/rawhide/f/redhat-lsb.spec#_242


(In reply to Thomas Stephen Lee from comment #16)
> If of any help, I just needed redhat-lsb-core on RHEL 9

yes , only /usr/bin/lsb_release is needed , the rest is one concept, having this and having that

Comment 8 Ben Cotton 2023-02-07 14:53:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 9 Fedora Update System 2023-10-06 16:33:11 UTC
FEDORA-2023-8e90030e60 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-8e90030e60

Comment 10 Fedora Update System 2023-10-07 02:33:11 UTC
FEDORA-2023-8e90030e60 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8e90030e60`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8e90030e60

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2023-10-08 01:21:32 UTC
FEDORA-2023-8e90030e60 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-8e90030e60`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-8e90030e60

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.